Session
Sign into Imago
Imago API
Version: 1.4.3
Signs into Imago using a username and password and creates an active session.
| Servers |
|---|
| https://imago.api.seequent.com/integrate/2 |
Parameters
{
"username": "my_user_name",
"password": "my_password"
}
Returns
200
Successful response.
Endpoint
POST
/sessionRequest
cURL
curl -X POST 'https://imago.api.seequent.com/integrate/2/session' \
-H 'Authorization: Bearer <ACCESS_TOKEN>' \
-H 'Content-Type: application/json' \
-d '{
"username": "my_user_name",
"password": "my_password"
}'
Response
{
"uid": "23c6727c-a5a6-484b-ac33-9812b9878f0a",
"apiToken": "b4ecb7d7-b8bb-460f-9506-134df358f471"
}
Check if still signed in
Imago API
Version: 1.4.3
Checks if a user is still signed into imago and has an active session.
| Servers |
|---|
| https://imago.api.seequent.com/integrate/2 |
Parameters
Returns
200
Successful response.
Endpoint
GET
/sessionRequest
cURL
curl -X GET 'https://imago.api.seequent.com/integrate/2/session' \
-H 'Authorization: Bearer <ACCESS_TOKEN>'
Response
{
"uid": "23c6727c-a5a6-484b-ac33-9812b9878f0a"
}
Sign out of Imago
Imago API
Version: 1.4.3
Sign a user out of imago and ends the current active session.
| Servers |
|---|
| https://imago.api.seequent.com/integrate/2 |
Parameters
Returns
200
Successful response.
Endpoint
DELETE
/sessionRequest
cURL
curl -X DELETE 'https://imago.api.seequent.com/integrate/2/session' \
-H 'Authorization: Bearer <ACCESS_TOKEN>'
Response
No response body.